%define name diablo
%define version 1.28
%define release 2mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: DIABLO is a backbone news transit system
Copyright: Redistributable
Group: Networking/News
Source: %{name}-%{version}-REL.tar.bz2
URL: http://apollo.backplane.com/diablo/
BuildRoot: /tmp/%{name}-buildroot
Packager: Geoffrey Lee <snailtalk@linux-mandrake.com>
Prereq: xmake

%description
DIABLO is a backbone news transit system, designed to replace INND on
backbone machines. The transit part of diablo is well established and
should work flawlessly. You cannot run the transit server portion of
diablo on a machine which needs to accept nntp post commands or
newsreading-related nntp commands. You cannot point your NNTPSERVER at
a host running the transit portion of Diablo. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}-REL

%build
xmake clean
xmake

%install
mkdir -p $RPM_BUILD_ROOT/usr/man/man{5,8}
mkdir -p $RPM_BUILD_ROOT/news/{adm,samples/adm,dbin,spool/{news,cache,group,postq},dqueue}
#chown -R news.news $RPM_BUILD_ROOT/news
for i in dbin/* samples/* samples/*/*
  do
  [ -f $i ] && install -m 444 $i $RPM_BUILD_ROOT/news/$i
  if [ -x $i -a ! -d $i ]; then
    echo $i | grep dbin && strip $RPM_BUILD_ROOT/news/$i
    chmod 755 $RPM_BUILD_ROOT/news/$i
  fi
done
for i in adm/weekly.reader adm/biweekly.atrim adm/crontab.sample \
         adm/daily.atrim adm/daily.reader adm/hourly.expire adm/quadhr.expire \
         adm/rot adm/daily.dclean dactive.kp dcontrol.ctl dexpire.ctl \
         diablo.config diablo.hosts dnewsfeeds dnntpspool.ctl dreader.hosts \
         dserver.hosts moderators pgp-sample rc.news distrib.pats
  do [ ! -f $RPM_BUILD_ROOT/news/$i ] \
       && ln -s /news/samples/$i $RPM_BUILD_ROOT/news/$i
done
for i in man/*
  do install -m 644 $i $RPM_BUILD_ROOT/usr/man/man${i##*.}
done

bzip2 $RPM_BUILD_ROOT/usr/man/man5/*
bzip2 $RPM_BUILD_ROOT/usr/man/man8/*

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr (-,root,root)
%doc COPYRIGHT INSTALL README.READER README.SERVER RELEASE_NOTES TUNING_NOTES
%dir /news
/news/*
/usr/man/man5/*
/usr/man/man8/*

%changelog
* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.28-2mdk
- fix group


* Tue Feb 15 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- version 1.28

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v1.27
- mandrake build
 
* Tue Nov 3 1998  Ian Macdonald <ianmacd@xs4all.nl>
- first RPM release    
